Subject: Ticket Assigned - Returns
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 17 Mar 2021 08:49:18 +0000

Hi Alka Pandey,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello

I cancelled my purchase of a sofa bed on Sunday February 21 after there were several problems with delivery. I have yet to receive my money back.

I have called your customer representatives several times and although they are polite and try to help, they seem unable to solve this problem for me.

I would be grateful if you could please look into this and return the Dh1,029 I am owed as soon as possible.

My invoice number is 9635034749

Thank you
Paul Green https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2240326